Adobe ColdFusion cross-site scripting sérülékenységek

CH azonosító

CH-6094

Angol cím

Adobe ColdFusion Two Cross-Site Scripting Vulnerabilities

Felfedezés dátuma

2011.12.13.

Súlyosság

Alacsony

Érintett rendszerek

Adobe
ColdFusion

Érintett verziók

Adobe ColdFusion 9.0, 9.0.1, 8.0, 8.0.1 (Windows, Macintosh, UNIX)

Összefoglaló

Az Adobe ColdFusion olyan sérülékenységei váltak ismertté, amelyeket a támadók kihasználhatnak cross-site scripting (XSS) támadások kezdeményezésére.

Leírás

  1. A cfform címkével átadott bemenet nincs megfelelően ellenőrizve, mielőtt visszakerül a felhasználóhoz. Ez kihasználható az érintett oldal felhasználói böngésző munkamenetében történő tetszőleges HTML és script kód futtatására.
  2. Az RDS (Remote Development Services – Távoli fejlesztői szolgáltatások) komponensnek átadott bemenet nincs megfelelően ellenőrizve, mielőtt visszakerül a felhasználóhoz. Ez kihasználható az érintett oldal felhasználói böngésző munkamenetében történő tetszőleges HTML és script kód futtatására.

Megoldás

Telepítse a javítócsomagokat